be.fgov.ehealth.dics.protocol.v5

## Class DoseUnitsType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.DoseUnitsType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class DoseUnitsType
      extends Object
      implements Serializable

  Java class for DoseUnitsType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DoseUnitsType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SubstanceCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}StrengthRangeType"/>
             </sequence>
             <attribute name="Rank" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoseUnitsType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getRank()` Gets the value of the rank property.
    `StrengthRangeType` | `getStrength()` Gets the value of the strength property.
    `String` | `getSubstanceCode()` Gets the value of the substanceCode property.
    `void` | `setRank(Integer value)` Sets the value of the rank property.
    `void` | `setStrength(StrengthRangeType value)` Sets the value of the strength property.
    `void` | `setSubstanceCode(String value)` Sets the value of the substanceCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoseUnitsType

          public DoseUnitsType()

  - ### Method Detail

    - #### getSubstanceCode

          public String getSubstanceCode()

      Gets the value of the substanceCode property.
      Returns:
        possible object is `String`

    - #### setSubstanceCode

          public void setSubstanceCode(String value)

      Sets the value of the substanceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrength

          public StrengthRangeType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `StrengthRangeType`

    - #### setStrength

          public void setStrength(StrengthRangeType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `StrengthRangeType`

    - #### getRank

          public Integer getRank()

      Gets the value of the rank property.
      Returns:
        possible object is `Integer`

    - #### setRank

          public void setRank(Integer value)

      Sets the value of the rank property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.